Page MenuHomePhabricator

Prepare and check storage layer for eowikivoyage
Closed, ResolvedPublic

Description

The new wiki's visibility will be: Public.

Event Timeline

Thanks, let us know when the database is created, so we can sanitize it.

LSobanski triaged this task as Medium priority.Dec 7 2020, 11:32 AM
LSobanski moved this task from Triage to Blocked on the DBA board.

Thanks, let us know when the database is created, so we can sanitize it.

DB just got created.

This has been sanitized. I have tested the triggers creating my user.
I am now running a check data on labsdb1009, 1010, 1011, 1012 as well as clouddb1020:3315 and clouddb1016:3315

After that still pending:

  • _p database creation
  • grants for labsdbuser role for that database.
  • Private data check was clean
  • _p database created
  • Grants added
*****labsdb1009*****
Database (eowikivoyage%)
eowikivoyage
eowikivoyage_p
GRANT SELECT, SHOW VIEW ON `eowikivoyage\\_p`.* TO 'labsdbuser'
*****labsdb1010*****
Database (eowikivoyage%)
eowikivoyage
eowikivoyage_p
GRANT SELECT, SHOW VIEW ON `eowikivoyage\\_p`.* TO 'labsdbuser'
*****labsdb1011*****
Database (eowikivoyage%)
eowikivoyage
eowikivoyage_p
GRANT SELECT, SHOW VIEW ON `eowikivoyage\\_p`.* TO 'labsdbuser'
*****labsdb1012*****
Database (eowikivoyage%)
eowikivoyage
eowikivoyage_p
GRANT SELECT, SHOW VIEW ON `eowikivoyage\\_p`.* TO 'labsdbuser'
*****clouddb1016:3315*****
Database (eowikivoyage%)
eowikivoyage
eowikivoyage_p
GRANT SELECT, SHOW VIEW ON `eowikivoyage\\_p`.* TO `labsdbuser`
*****clouddb1020:3315*****
Database (eowikivoyage%)
eowikivoyage
eowikivoyage_p
GRANT SELECT, SHOW VIEW ON `eowikivoyage\\_p`.* TO `labsdbuser`

This is ready for cloud-services-team

Marostegui moved this task from In progress to Done on the DBA board.
Marostegui added a subscriber: Marostegui.

Reminder, the views need to be created on the new hosts too, so this would be:

labsdb1009 labsdb1010 labsdb1011 labsdb1012 clouddb1016:3315 clouddb1020:3315

Bstorm added a subscriber: Bstorm.

This should all be taken care of in the cookbook...however, I need to make sure the meta_p script runs in a test first. Once I've done that the clinic duty person can follow https://wikitech.wikimedia.org/wiki/Add_a_wiki#Best_method and leave the implementation details to script (unless I've made a mistake somewhere).

Assigning to me to test meta_p first.

Mentioned in SAL (#wikimedia-operations) [2020-12-16T23:56:40Z] <bstorm> bootstrapped meta_p database for the new s7 replicas T269427

Bstorm added a subscriber: nskaggs.

@nskaggs I believe you are clear to use the cookbook method to deploy these wiki databases to the replica views.

Mentioned in SAL (#wikimedia-operations) [2020-12-17T19:07:04Z] <nskaggs@cumin1001> Added views for new wiki: eowikivoyage T269427

This should be ready for use.